var matching = require('../libs/match/match');
var osrm = require('../request/osrm');
//var vnpost = require('../request/vnpost');

_osrmURL = ''
_vnpostURL = ''
_vnpostKEY = ''

module.exports = {
  async init(input) {
    this._osrmURL = input.osrmURL
    this._vnpostURL = input.vnpostURL
    this._vnpostKEY = input.vnpostKEY

    // vnpost.init({
    //   vnpostURL: this._vnpostURL,
    //   vnpostKEY: this._vnpostKEY
    // })
  }

  ,async detect(input) {
    const { address, lat, lng, osrm_address } = input
    let f_address = address.split(',')[0]
    let m_address = matching.split_num_str(f_address)
    let f_nearest = ''
    let m_nearest = null

    if (!osrm_address) {
      if (!this._osrmURL) {return { error: 'You need Init osrm URL' }}

      if (!lng || !lat) {
        f_nearest = ''
      } else {
        let rNearest = await osrm.nearest(`${this._osrmURL}/nearest/v1/driving/${lng},${lat}`)
        if (rNearest.results && rNearest.results[0] && rNearest.results[0].name) {
          f_nearest = rNearest.results[0].name
        } else {
          f_nearest = ''
        }
      }

      m_nearest = matching.split_num_str(f_nearest)
    } else {
      m_nearest = matching.split_num_str(osrm_address)
    }

    return matching.filter_osrm(m_address, m_nearest)
  }
}