module.exports = {
  stringToSlugStillCharacter(str){
    // remove accents
    var from = "àáãảạăằắẳẵặâầấẩẫậèéẻẽẹêềếểễệđùúủũụưừứửữựòóỏõọôồốổỗộơờớởỡợìíỉĩịäëïîöüûñçýỳỹỵỷđð",
        to   = "aaaaaaaaaaaaaaaaaeeeeeeeeeeeduuuuuuuuuuuoooooooooooooooooiiiiiaeiiouuncyyyyydd";
    for (var i=0, l=from.length ; i < l ; i++) {
      str = str.replace(RegExp(from[i], "gi"), to[i]);
    }

    str = str.toLowerCase()

    return str;
  },
  stringToSlugStillSpace(str){
    // remove accents
    var from = "àáãảạăằắẳẵặâầấẩẫậèéẻẽẹêềếểễệđùúủũụưừứửữựòóỏõọôồốổỗộơờớởỡợìíỉĩịäëïîöüûñçýỳỹỵỷđð",
        to   = "aaaaaaaaaaaaaaaaaeeeeeeeeeeeduuuuuuuuuuuoooooooooooooooooiiiiiaeiiouuncyyyyydd";
    for (var i=0, l=from.length ; i < l ; i++) {
      str = str.replace(RegExp(from[i], "gi"), to[i]);
    }

    str = str.toLowerCase()
          .replace(/[^a-z0-9\-]/g, ' ')
          .replace(/-+/g, ' ');

    return str;
  },
  stringToSlug(str){
    // remove accents
    var from = "àáãảạăằắẳẵặâầấẩẫậèéẻẽẹêềếểễệđùúủũụưừứửữựòóỏõọôồốổỗộơờớởỡợìíỉĩịäëïîöüûñçýỳỹỵỷđð",
        to   = "aaaaaaaaaaaaaaaaaeeeeeeeeeeeduuuuuuuuuuuoooooooooooooooooiiiiiaeiiouuncyyyyydd";
    for (var i=0, l=from.length ; i < l ; i++) {
      str = str.replace(RegExp(from[i], "gi"), to[i]);
    }

    str = str.toLowerCase()
          .trim()
          // .replace(/[^a-z0-9\-]/g, '-')
          // .replace(/-+/g, '-');
          .replace(/[^a-z0-9\-]/g, ' ')
          .replace(/-+/g, ' ');

    return str;
  }
  ,
  stringToSlugToConnect(str){
    str = str.toLowerCase()
    .trim()

    var from = "àáãảạăằắẳẵặâầấẩẫậèéẻẽẹêềếểễệđùúủũụưừứửữựòóỏõọôồốổỗộơờớởỡợìíỉĩịäëïîöüûñçýỳỹỵỷđð",
        to   = "aaaaaaaaaaaaaaaaaeeeeeeeeeeeduuuuuuuuuuuoooooooooooooooooiiiiiaeiiouuncyyyyydd";
    for (var i=0, l=from.length ; i < l ; i++) {
      str = str.replace(RegExp(from[i], "gi"), to[i]);
    }
  
    str = str
          .replace(/[^a-z0-9\-]/g, '-')
          .replace(/-+/g, '-');

    return str;
  }
  ,
  stringToSlugNumberStreet(str) {
    str = str.toLowerCase()
    .trim()

    var from = "àáãảạăằắẳẵặâầấẩẫậèéẻẽẹêềếểễệđùúủũụưừứửữựòóỏõọôồốổỗộơờớởỡợìíỉĩịäëïîöüûñçýỳỹỵỷđð",
        to   = "aaaaaaaaaaaaaaaaaeeeeeeeeeeeduuuuuuuuuuuoooooooooooooooooiiiiiaeiiouuncyyyyydd";
    for (var i=0, l=from.length ; i < l ; i++) {
      str = str.replace(RegExp(from[i], "gi"), to[i]);
    }
  
    str = str
          .replace(/[^a-z0-9\-]/g, '-')
          .replace(/-+/g, '-');
  
    var froms = [
      'duong-so',
      'duong-lang',
      'cach-mang-thang-tam',
      'pho-',
      'duong-'
    ]
    var tos = [
      'duong_so',
      'duong_lang',
      'cach-mang-thang-8',
      '',
      ''
    ]
    for (var i=0, l=froms.length ; i < l ; i++) {
      str = str.replace(RegExp(froms[i], "gi"), tos[i]);
    }
  
    return str;
  }
}