jest.setTimeout(30000)
var detectLocation = require('../index')

test('Thao Dien Pearl 12 Quoc Huong ,Thao Dien,Quan 2,Ho Chi Minh',
async (done) => {
  let data = await detectLocation.check_address({
    address: 'Thao Dien Pearl 12 Quoc Huong ,Thao Dien,Quan 2,Ho Chi Minh',
    profile: 'regex'
  })
  expect(data.is_wrong).toEqual(true)
  expect(data.wrong_details[0].is_wrong).toEqual(true)
  expect(data.wrong_details[0].code).toEqual(2008)
  expect(data.wrong_details[0].confidence).toEqual(50)
  done()
})

test('Thao Dien, Quận 2',
async (done) => {
  let data = await detectLocation.check_address({
    address: 'Thao Dien, Quận 2',
    profile: 'regex'
  })
  expect(data.is_wrong).toEqual(true)
  expect(data.wrong_details[0].is_wrong).toEqual(true)
  expect(data.wrong_details[0].code).toEqual(2005)
  expect(data.wrong_details[0].confidence).toEqual(100)
  done()
})

test('Thăng Long Pearl, Quận 9',
async (done) => {
  let data = await detectLocation.check_address({
    address: 'Thăng Long Pearl, Quận 9',
    profile: 'regex'
  })
  expect(data.is_wrong).toEqual(true)
  expect(data.wrong_details[0].is_wrong).toEqual(true)
  expect(data.wrong_details[0].code).toEqual(2008)
  expect(data.wrong_details[0].confidence).toEqual(50)
  done()
})

test('Thăng Long, Quận 9',
async (done) => {
  let data = await detectLocation.check_address({
    address: 'Thăng Long, Quận 9',
    profile: 'regex'
  })
  expect(data.is_wrong).toEqual(true)
  expect(data.wrong_details[0].is_wrong).toEqual(true)
  expect(data.wrong_details[0].code).toEqual(2005)
  expect(data.wrong_details[0].confidence).toEqual(100)
  done()
})

test('Phở KAO - Vincom Trần Duy Hưng',
async (done) => {
  let data = await detectLocation.check_address({
    address: 'Phở KAO - Vincom Trần Duy Hưng',
    profile: 'regex'
  })
  expect(data.is_wrong).toEqual(true)
  expect(data.wrong_details[0].is_wrong).toEqual(true)
  expect(data.wrong_details[0].code).toEqual(2008)
  expect(data.wrong_details[0].confidence).toEqual(50)
  done()
})

test('Thăng Long Academy',
async (done) => {
  let data = await detectLocation.check_address({
    address: 'Thăng Long Academy',
    profile: 'regex'
  })
  expect(data.is_wrong).toEqual(true)
  expect(data.wrong_details[0].is_wrong).toEqual(true)
  expect(data.wrong_details[0].code).toEqual(2008)
  expect(data.wrong_details[0].confidence).toEqual(50)
  done()
})

test('Khu Chung Cư Green Stars, Số 234B Đường Phạm Văn Đồng, Phường Cổ Nhuế 1, Quận Bắc Từ Liêm, Thành Phố Hà Nội',
async (done) => {
  let data = await detectLocation.check_address({
    address: 'Khu Chung Cư Green Stars, Số 234B Đường Phạm Văn Đồng, Phường Cổ Nhuế 1, Quận Bắc Từ Liêm, Thành Phố Hà Nội',
    profile: 'regex'
  })
  expect(data.is_wrong).toEqual(true)
  expect(data.wrong_details[0].is_wrong).toEqual(true)
  expect(data.wrong_details[0].code).toEqual(2008)
  expect(data.wrong_details[0].confidence).toEqual(50)
  done()
})
